Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.144185
Category:Web application abuses
Title:PrestaShop Responsive Mega Menu Module RCE / SQL Injection Vulnerability
Summary:The 'Responsive Mega Menu' module for PrestaShop is prone to a remote code; execution and SQL injection vulnerability.
Description:Summary:
The 'Responsive Mega Menu' module for PrestaShop is prone to a remote code
execution and SQL injection vulnerability.

Vulnerability Insight:
modules/bamegamenu/ajax_phpcode.php in the Responsive Mega Menu
(Horizontal+Vertical+Dropdown) Pro module 1.0.32 for PrestaShop allows remote attackers to execute an SQL
injection or remote code execution through function calls in the code parameter.

Affected Software/OS:
Responsive Mega Menu (Horizontal+Vertical+Dropdown) Pro module 1.0.32 for
PrestaShop 1.5.5.0 through 1.7.2.5.

Solution:
Disable function exec(), passthru(), shell_exec(), system(), delete or edit
the vulnerable file.

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2018-8823
https://ia-informatica.com/it/CVE-2018-8823
Common Vulnerability Exposure (CVE) ID: CVE-2018-8824
https://ia-informatica.com/it/CVE-2018-8824
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.